AIX 6.1 TL 5 : pcnfsd (IZ73599)

Critical Nessus Plugin ID 63815

Synopsis

The remote AIX host is missing a security patch.

Description

'An integer overflow vulnerability was reported in the rpc.pcnfsd service within the several systems. The rpc.pcnfsd daemon handles requests from PC-NFS clients for authentication services on remote machines. These services include authentication for mounting and for print spooling. The vulnerability is triggered when parsing crafted RPC requests. A remote attacker can leverage this vulnerability by sending a crafted RPC message to the target host, to potentially inject and execute arbitrary code.'.

Solution

Install the appropriate interim fix.

See Also

http://www.nessus.org/u?59da8842

http://aix.software.ibm.com/aix/efixes/security/pcnfsd_advisory.asc

Plugin Details

Severity: Critical

ID: 63815

File Name: aix_IZ73599.nasl

Version: $Revision: 1.4 $

Type: local

Published: 2013/01/24

Modified: 2013/03/12

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSSv2

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:ibm:aix:6.1

Required KB Items: Host/AIX/lslpp, Host/local_checks_enabled, Host/AIX/version

Patch Publication Date: 2010/05/20

Vulnerability Publication Date: 2010/05/20

Reference Information

CVE: CVE-2010-1039

IAVA: 2010-A-0073